Subject: bug#14212: 24.3.50; Dired-X manual - variables have no `Variable' or `User Option' headings

From: Drew Adams <[email-masked]>
Date: Thu, 15 Aug 2019 06:43:26 -0700 (PDT)

> >> Subject line says it all.  The manual does not respect the style of
> >> other Emacs doc, such as the Elisp manual.
> >
> > I'm not quite sure what you mean here.  There's nodes like "Advanced
> > Cleaning Variables" -- what are you missing?
> 
> I think the problem is that doc/misc/dired-x.texi says stuff like
> 
>     @table @code
> 
>     @vindex dired-omit-mode
>     @item dired-omit-mode
>     [...]
> 
> Where it should say
> 
>     @defvar dired-omit-mode
>     [...]
>     @end defvar

I don't speak Texinfo, but yes, probably.

To repeat: "Subject line says it all."  Contrast the
Elisp manual, where variable descriptions are introduced
with `Variable' or `User Option', macros are introduced
with `Macro', and functions are introduced with `Command'
or `Function'.

See (elisp) `A Sample Variable Description'.